Chuyển đến nội dung
Diễn đàn CADViet
  • Thông báo

    • Nguyen Hoanh

      CADViet đã hoàn tất nâng cấp   14/09/2017

      Chào các bạn, CADViet đã hoàn tất việc nâng cấp lên phiên bản mới. Tất cả các chức năng đã hoạt động theo kỳ vọng của ban quản trị. Nếu có vấn đề gì cần phản hồi, các bản post ở đây nhé: Trân trọng, Nguyễn Hoành.
letrongdaihp

xin hỏi về khoảng cách từ text đến đường kích thước khi text nằm ngoài

Các bài được khuyến nghị

em chào các bác! các bác cho em xin hỏi là có biến nào quy định khoảng cách từ text đến đường kích thước trong trường hợp text nằm ngoài đường gióng do không đủ chỗ. em cảm ơn. Ví dụ em muốn số 150 nằm gần đường kích thước hơn 1 nữa chứ không phải xa như hiện tại ạ. Ps: mỗi lần kéo vào cũng mệt :)

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Thử thay đổi biến DIMGAP rồi Dim lại xem.

Bác Hà, DimGap làm thay đổi cả cái dim bình thường ( tức là em chỉ muốn điều chỉnh cái text trong trường hợp text không đủ chỗ trống mà phải ghi ra bên ngoài. còn bình thường đủ chỗ trống thì text để offset như vậy là hợp lý rồi, biến DimGap hiện tại của em là 0.6

60980_untitled.jpg

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

DIMFIT >> 2

DIMTIX >> 1

Sau đó Dim xem ưng ý không?

KHÔNG ĐƯỢC BÁC HÀ Ạ, DIMFIT = 5 THI RA NGOÀI NHƯNG XA QÚA, =4 THÌ CÓ ĐƯỜNG DẪN, = 3 THÌ NẰM BÊN CẠNH, =2 THÌ BÌNH THƯỜNG LẠI NẰM TRONG KHÔNG RA NGOÀI ĐƯỢC

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Doan Van Ha    2.676

Nếu thay đổi biến hệ thống để khoảng cách trong hình của bạn giảm xuống thì khi dim theo kiểu ngược lại khoảng cách này sẽ rất khó chịu (xem hình). Dùng lisp này của bạn Ketxu chắc sẽ tốt hơn.

67029_untitled.png

 

;; 1). Di chuyen tat ca DimText theo 1 vector. by Ketxu
(defun c:mtd (/ ss 1st_pt pt v oCm) 
 (vl-load-com)
 (command "undo" "be")
 (defun ST:Geom-Center (ent / p1 p2) 
  (vla-getboundingbox (vlax-ename->vla-object ent) 'p1 'p2)
  (setq p1 (vlax-safearray->list p1) 
        p2 (vlax-safearray->list p2)          
        pt (mapcar '* (mapcar '+ p1 p2) '(0.5 0.5 0.5))))
 (defun ST:Ss->ListEnt (ss / n e l) 
  (setq n (sslength ss)) 
  (while (setq e (ssname ss (setq n (1- n))))
   (setq l (cons e l)))) 
 (setq ss (ssget (list (cons 0 "DIMENSION"))) 
       1st_pt (ST:Geom-Center (ssname ss 0)) 
       1st_to (getpoint 1st_pt "\nVecto d\U+1ECBch chuy\U+1EC3n text :") 
       v (mapcar '- 1st_to 1st_pt) 
       oCm (getvar "Cmdecho"))
 (setvar "Cmdecho" 0) 
 (foreach dim (ST:Ss->ListEnt ss)
  (setq center (ST:Geom-Center dim))         
  (vl-cmdf "_aidimtextmove" 2 dim "" "_non" (mapcar '+ center v)))
 (setvar "cmdecho" oCm)
 (command "undo" "e") 
 (princ))  

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Bạn xem  con DIM này có đúng ý bạn không?

 

http://www.cadviet.com/upfiles/4/115974_6dsfdfgdfg0980_new_block_1.dwg

 

115974_1_1.jpg

HI, BÁC HIỂU LẦM Ý EM RỒI, ĐÂY LÀ EM CHỦ ĐỘNG CHO TEXT RA NGOÀI TRONG TRƯỜNG HỢP CHỖ KHÔNG ĐỦ ĐỂ GHI TEXT, VÌ KHI IN RA TRÔNG NÓ CHỒNG CHÉO NÉT KHÓ NHÌN MÀ, NHƯNG CÁI KHÓ LÀ CHO RA NGOÀI TOÀN PHẢI KÉO THỦ CÔNG THÔI, CÒN THEO NHƯ BẢNG NÀY THÌ LÀ XA QU

Á60980_untitled_1.jpg

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay


×